Subject: Re: [PATCH net v3 2/3] net: stmmac: Consider Tx VLAN offload tag length for maxSDU

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 23 Oct 2025 11:59:21 +0100

On Sat, Oct 18, 2025 at 07:20:03AM +0530, G Thomas, Rohan wrote:
> Hi Vadim,
> 
> On 10/17/2025 5:51 PM, Vadim Fedorenko wrote:
> > On 17/10/2025 08:36, G Thomas, Rohan wrote:
> > > Hi All,
> > > 
> > > On 10/17/2025 11:41 AM, Rohan G Thomas via B4 Relay wrote:
> > > > +    sdu_len = skb->len;
> > > >       /* Check if VLAN can be inserted by HW */
> > > >       has_vlan = stmmac_vlan_insert(priv, skb, tx_q);
> > > > +    if (has_vlan)
> > > > +        sdu_len += VLAN_HLEN;
> > > > +
> > > > +    if (priv->est && priv->est->enable &&
> > > > +        priv->est->max_sdu[queue] &&
> > > > +        skb->len > priv->est->max_sdu[queue]){
> > > 
> > > I just noticed an issue with the reworked fix after sending the patch.
> > > The condition should be: sdu_len > priv->est->max_sdu[queue]
> > > 
> > > I’ll send a corrected version, and will wait for any additional comments
> > > in the meantime.
> > 
> > Well, even though it's a copy of original code, it would be good to
> > improve some formatting and add a space at the end of if statement to
> > make it look like 'if () {'>
> 
> Thanks for pointing this out. I'll fix the formatting in the next version.

I suggest:

First patch - fix formatting.
Second patch - move the code.

We have a general rule that when code is moved, it should be moved with
no changes - otherwise it makes review much harder.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!